%define name    pdfgrep
%define version 2.0.1
%define release %mkrel 2

Name:           %{name}
Summary:	search in pdf files for strings matching a regular expression
Summary(de):	Sucht in pdf-Dateien nach Zeichenketten, die mit einem regulären Ausdruck übereinstimmen
Version:        %{version}
Release:        %{release}
Source0:        http://sourceforge.net/projects/%{name}/files/%{version}/%{name}-%{version}.tar.xz
URL:            http://pdfgrep.sourceforge.net/
Group:          Text tools
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv3
BuildRequires:	libstdc++-devel
BuildRequires:	%{_lib}poppler-cpp-devel
BuildRequires:	%{_lib}gcrypt-devel

%description
Pdfgrep is a tool to search text in PDF files. It works similar to grep.
Features:
 * search for regular expressions.
 * support for some important grep options, including:
	- filename output.
	- page number output.
	- optional case insensitivity.
	- count occurrences.
 * and the most important feature: color output!

%description -l de
Pdfgrep ist ein Werkzeug zum Suchen von Text in PDF-Dateien. Es arbeitet
ähnlich wie grep.

Eigenschaften:
* sucht nach regulären Ausdrücken
* Unterstützung für einige wichtige grep Optionen, einschließlich:
	- Dateinamenausgabe
	- Seitenzahlausgabe
	- optional keine Beachtung der Groß- und Kleinschreibung
	- zählen des Auftretens von Übereinstimmungen
* und die wichtigste Eigenschaft: farbige Ausgabe!

%prep
%setup -q

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(0755,root,root)
%doc COPYING AUTHORS
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}
%{_datadir}/bash-completion/completions/pdfgrep
%{_datadir}/zsh/site-functions/_pdfgrep



%changelog
* Sat Apr 07 2018 adrianomorselli <adrianomorselli> 2.0.1-2uplos2018
- rebuild against new libgcrypt